# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crypto_wallet/version'

Gem::Specification.new do |spec|
  spec.name          = "crypto_wallet"
  spec.version       = CryptoWallet::VERSION
  spec.authors       = ["Pravin J"]
  spec.email         = ["pravintest3@gmail.com"]

  spec.summary       = %q{An easy to use Bitcoin wallet API by CryptoWallet. Sign up required at cryptowallet.com.}
  spec.description   = %q{This Ruby Gem is the official reference client for the CryptoWallet.com payments API. To use this, you will need the Bitcoin API key from cryptowallet.com. Go ahead, sign up :)}
  spec.homepage      = "http://cryptowallet.osizdemos.com/merchant-tools-api"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_runtime_dependency "httpclient", "~> 2.4", '>= 2.4.0'
  spec.add_runtime_dependency "json", "~> 1.8", '>= 1.8.1'
  spec.add_runtime_dependency "connection_pool", "~> 2.0", '>= 2.0.0'
  
  # spec.add_runtime_dependency "httpclient", "~> 2.8", '>= 2.8.3'
  # spec.add_runtime_dependency "json", "~> 2.0", '>= 2.0.3'
  # spec.add_runtime_dependency "connection_pool", "~> 2.2", '>= 2.2.1'
end
